package pps.core.prediction.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.StationDailyProductionSituationView;

import java.util.List;

/**
 * 光伏电站生产情况表(每日统计)
 *
 * @author ZWT
 * @date 2024/10/20
 */
@Repository(value = "pps.core.prediction.mapper.StationDailyProductionSituationViewMapper")
public interface StationDailyProductionSituationViewMapper {
    StationDailyProductionSituationView selectOne(StationDailyProductionSituationView record);

    List<StationDailyProductionSituationView> selectList(StationDailyProductionSituationView record);

    /**
     * 批量插入
     *
     * @param dtoList dto列表
     * @return int
     */
    int batchInsert(@Param(value = "list") List<StationDailyProductionSituationView> dtoList);
}
